Qt Reference Documentation

# QPrinterInfo Class Reference

The QPrinterInfo class gives access to information about existing printers. More...

     #include <QPrinterInfo>

This class was introduced in Qt 4.4.

- List of all members, including inherited members

## Public Functions

| QPrinterInfo ()
| QPrinterInfo ( const QPrinterInfo & src )
| QPrinterInfo ( const QPrinter & printer )
| ~QPrinterInfo ()
bool | isDefault () const
bool | isNull () const
QString | printerName () const
QList<QPrinter::PaperSize> | supportedPaperSizes () const
QPrinterInfo & | operator= ( const QPrinterInfo & src )

## Static Public Members

QList<QPrinterInfo> | availablePrinters ()
QPrinterInfo | defaultPrinter ()

## Detailed Description

The QPrinterInfo class gives access to information about existing printers.

Use the static functions to generate a list of QPrinterInfo objects. Each QPrinterInfo object in the list represents a single printer and can be queried for name, supported paper sizes, and whether or not it is the default printer.

## Member Function Documentation

### QPrinterInfo::QPrinterInfo ()

Constructs an empty QPrinterInfo object.

See also isNull().

### QPrinterInfo::QPrinterInfo ( const QPrinterInfo & src )

Constructs a copy of src.

### QPrinterInfo::QPrinterInfo ( const QPrinter & printer )

Constructs a QPrinterInfo object from printer.

### QPrinterInfo::~QPrinterInfo ()

Destroys the QPrinterInfo object. References to the values in the object become invalid.

### QList<QPrinterInfo> QPrinterInfo::availablePrinters ()`[static]`

Returns a list of available printers on the system.

### QPrinterInfo QPrinterInfo::defaultPrinter ()`[static]`

Returns the default printer on the system.

The return value should be checked using isNull() before being used, in case there is no default printer.

See also isNull().

### bool QPrinterInfo::isDefault () const

Returns whether this printer is the default printer.

### bool QPrinterInfo::isNull () const

Returns whether this QPrinterInfo object holds a printer definition.

An empty QPrinterInfo object could result for example from calling defaultPrinter() when there are no printers on the system.

### QString QPrinterInfo::printerName () const

Returns the name of the printer.

See also QPrinter::setPrinterName().

### QList<QPrinter::PaperSize> QPrinterInfo::supportedPaperSizes () const

Returns a list of supported paper sizes by the printer.

Not all printer drivers support this query, so the list may be empty. On Mac OS X 10.3, this function always returns an empty list.

This function was introduced in Qt 4.4.

### QPrinterInfo & QPrinterInfo::operator= ( const QPrinterInfo & src )

Sets the QPrinterInfo object to be equal to src.